      SUBROUTINE GETDIR(KEY, TYPE, BUF)
      INTEGER KEY, TYPE
      LOGICAL*1 BUF(100)
      IF(.NOT.(KEY .EQ. 1))GOTO 23000
      CALL SCOPY(11HST0:[105,1], 1, BUF, 1)
      GOTO 23001
23000 CONTINUE
      IF(.NOT.(KEY .EQ. 2))GOTO 23002
      CALL SCOPY(11HST0:[105,2], 1, BUF, 1)
      GOTO 23003
23002 CONTINUE
      IF(.NOT.(KEY .EQ. 3))GOTO 23004
      CALL SCOPY(11HST0:[105,3], 1, BUF, 1)
      GOTO 23005
23004 CONTINUE
      IF(.NOT.(KEY .EQ. 4))GOTO 23006
      CALL SCOPY(11HST0:[105,4], 1, BUF, 1)
      GOTO 23007
23006 CONTINUE
      IF(.NOT.(KEY .EQ. 5))GOTO 23008
      CALL SCOPY(11HST0:[105,5], 1, BUF, 1)
      GOTO 23009
23008 CONTINUE
      IF(.NOT.(KEY .EQ. 6))GOTO 23010
      CALL SCOPY(11HST0:[105,6], 1, BUF, 1)
      GOTO 23011
23010 CONTINUE
      BUF(1) = 0
23011 CONTINUE
23009 CONTINUE
23007 CONTINUE
23005 CONTINUE
23003 CONTINUE
23001 CONTINUE
      RETURN
      END
